Bug 434479 - sdcc failed massrebuild attempt for GCC 4.3
sdcc failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sdcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Danielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 01:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:43 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446759
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:46:00 EST
x86_build failed.  I'm unable to determine exact place of failure and log is
very long: http://koji.fedoraproject.org/koji/getfile?taskID=457790&name=build.log
Comment 2 Hans de Goede 2008-02-29 16:59:31 EST
Its probably tetex -> texlive related, interested bits from the build log:
---
LyX: Creating directory /builddir/.lyx/
LyX: reconfiguring user directory
LyX: Creating directory /builddir/.lyx/
LyX: Creating directory /builddir/.lyx/
LyX: Creating directory /builddir/.lyx/
Failed to create directory. Exiting.
Failed to create directory. Exiting.
Failed to create directory. Exiting.
make[1]: *** [test_suite_spec.txt] Error 1
make[1]: *** Waiting for unfinished jobs....
---

And:

---
make[1]: Leaving directory `/builddir/build/BUILD/sdcc/doc'
make: *** [sdcc-doc] Error 2
make: *** Waiting for unfinished jobs....
---

John, for further triaging of these it might help if you try to search for
"Waiting for unfinished jobs" in long buildlogs where the error isn't
immediately clear, the error should be above to and close to one of these (make
-j4 is not your friend in this case).
Comment 3 Trond Danielsen 2008-04-04 01:42:09 EDT
This problem has been solved in the last version of SDCC.

Note You need to log in before you can comment on or make changes to this bug.